- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Functions
Functions dealing with Wayland Drag-n-Drop
Ecore » Ecore_Wayland - Wayland integration

Functions to interface with Wayland Drag-n-Drop. More...

## Functions
EAPI Eina_Bool | ecore_wl_dnd_selection_set (Ecore_Wl_Input *input, const char **types_offered)
EAPI Eina_Bool | ecore_wl_dnd_selection_get (Ecore_Wl_Input *input, const char *type)
EAPI Eina_Bool | ecore_wl_dnd_selection_owner_has (Ecore_Wl_Input *input)
EAPI Eina_Bool | ecore_wl_dnd_selection_clear (Ecore_Wl_Input *input)
EAPI void | ecore_wl_dnd_drag_start (Ecore_Wl_Input *input, Ecore_Wl_Window *win, Ecore_Wl_Window *dragwin, int x, int y, int w, int h)
EAPI void | ecore_wl_dnd_drag_end (Ecore_Wl_Input *input)
EAPI Eina_Bool | ecore_wl_dnd_drag_get (Ecore_Wl_Input *input, const char *type)
EAPI void | ecore_wl_dnd_drag_types_set (Ecore_Wl_Input *input, const char **types_offered)
EAPI struct wl_array * | ecore_wl_dnd_drag_types_get (Ecore_Wl_Input *input)
EAPI void | ecore_wl_server_mode_set (Eina_Bool on)

## Detailed Description

Functions to interface with Wayland Drag-n-Drop.

## Function Documentation

Eina_Bool ecore_wl_dnd_selection_set | ( | Ecore_Wl_Input * | input,
|  | const char ** | types_offered
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_wl_dnd_set_selection().

Eina_Bool ecore_wl_dnd_selection_get | ( | Ecore_Wl_Input * | input,
|  | const char * | type
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

Referenced by ecore_wl_dnd_get_selection().

Eina_Bool ecore_wl_dnd_selection_owner_has | ( | Ecore_Wl_Input * | input | ) |

Since
  1.8

References EINA_FALSE.

Referenced by ecore_wl_dnd_selection_has_owner().

Eina_Bool ecore_wl_dnd_selection_clear | ( | Ecore_Wl_Input * | input | ) |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

void ecore_wl_dnd_drag_start | ( | Ecore_Wl_Input * | input,
|  | Ecore_Wl_Window * | win,
|  | Ecore_Wl_Window * | dragwin,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h
| ) |  |

Since
  1.8

void ecore_wl_dnd_drag_end | ( | Ecore_Wl_Input * | input | ) |

Since
  1.8

References ecore_event_add(), and ECORE_WL_EVENT_DND_END.

Eina_Bool ecore_wl_dnd_drag_get | ( | Ecore_Wl_Input * | input,
|  | const char * | type
| ) |  |

Since
  1.8

References EINA_FALSE, and EINA_TRUE.

void ecore_wl_dnd_drag_types_set | ( | Ecore_Wl_Input * | input,
|  | const char ** | types_offered
| ) |  |

Since
  1.8

struct wl_array * ecore_wl_dnd_drag_types_get | ( | Ecore_Wl_Input * | input | ) |

Since
  1.8

EAPI void ecore_wl_server_mode_set | ( | Eina_Bool | on | ) |

Since
  1.8